Bug 860660

Summary: Transparency rendering problems on PyMOL with HD4890 and radeon driver
Product: [Fedora] Fedora Reporter: Jacobo Cabaleiro <obmun.h>
Component: xorg-x11-drv-atiAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 958832 958836 (view as bug list) Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 958832, 958836    
Attachments:
Description Flags
PyMOL correct transparency demo on F17
none
PyMOL no transparency on F18 radeon testday LiveCD none

Description Jacobo Cabaleiro 2012-09-26 08:23:33 EDT
Description of problem:
Wizard -> Demo -> Transparency does not show the internal atoms and bonds over the transparent hull.

Versions:
- Radeon testday LiveCD
- Pymol 1.5.0.2-5.20120218svn3982.fc18 (installed using yum)
- xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756
- kernel 3.6.0-0.rc7.git0.1

Hardware profile: http://www.smolts.org/client/show/pub_d6c0fd9b-0118-42ca-8d14-199f3029fc97

Steps to Reproduce:
1. Launch PyMOL
2. Load transparency demo using Wizard menu Demo entry
3. Objects inside the transparent molecule hull are not shown
  
Actual results:
- Check attached png
Expected results:
- Check attached png generated on a F17 system over the same hardware, both 64 bits installations (PyMOL on F17 is 1.5.0.2-3.20120218svn3982.fc17, which is not exactly the same package version [3 on F17 vs 5 on F18]
Comment 1 Jacobo Cabaleiro 2012-09-26 08:24:17 EDT
Created attachment 617532 [details]
PyMOL correct transparency demo on F17
Comment 2 Jacobo Cabaleiro 2012-09-26 08:24:54 EDT
Created attachment 617533 [details]
PyMOL no transparency on F18 radeon testday LiveCD
Comment 3 Fedora End Of Life 2013-12-21 03:57:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jan Kurik 2015-07-15 10:59:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23